Bug 1122340 - RFE: Add an indicator on language setting change
Summary: RFE: Add an indicator on language setting change
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Usability
Version: 3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: ---
Assignee: Luke Brooker
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 02:58 UTC by David Mason
Modified: 2016-04-18 09:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-31 01:14:11 UTC


Attachments (Terms of Use)

Description David Mason 2014-07-23 02:58:11 UTC
Description of problem:
When changing the checkbox for using a custom list of languages in language settings for a version, there is no indication of whether the change has been saved, is currently saving, or is waiting for further action. This makes it difficult for maintainers to be confident that their changes have taken effect, and may lead to some failed changes if a maintainer closes the browser before the change has finished saving.

There should be a loading indicator next to the checkbox if a change is being saved to the server, an indication if further action is required to initiate a save, and an indication of when the change has been persisted successfully.

How reproducible:
Easy, always

Steps to Reproduce:
1. Sign in and navigate to a version that you maintain.
2. Open version settings, open the languages tab
3. Change the state of the checkbox for using a custom list of languages

Actual results:
There is no indication for at least a few seconds about whether the change has taken effect or is in progress.

Expected results:
Loader/spinner is displayed next to the checkbox while the change is being persisted, text or icon indicating successful save is shown when persistence is complete. If the change cannot be saved, text or an icon are shown next to the checkbox indicating the failure.

Comment 1 Ding-Yi Chen 2014-07-30 00:21:17 UTC
So the indicator need to show following states:

1. "Saving" 
2. "Saved"
3. "Failed to Save"
4. For the UI that require explicit "Save" or "Apply" button: "Unsaved Changed".

Comment 2 Zanata Migrator 2015-07-31 01:14:11 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-371


Note You need to log in before you can comment on or make changes to this bug.